For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account Balance

This endpoint allows you to retrieve the details of all wallets associated with a user, including a list of currencies and their corresponding amounts.

Get account balance

get
Query parameters
currencystringOptional

Specify a specific currency to get the balance for that currency. If not provided, the response will contain the balance for all available currencies.

Header parameters
general_api_keystringRequired

Your General API Key for authentication and authorization.

Content-TypestringRequiredDefault: application/json
Responses
200

Successful operation

application/json
dataobjectOptional

Object keyed by currency symbol. Each value represents the account balance for that currency.

messagestringOptional

A message containing additional information about the result of the request.

statusintegerOptional

The status of the request response. Typically provided as a numeric code.

versionstringOptional

The version of the API being used.

get/general/account/balance
import requests

url = 'https://api.oxapay.com/v1/general/account/balance'

headers = {
    'general_api_key': 'YOUR_GENERAL_API_KEY',
    'Content-Type': 'application/json'
}

params = {
    'currency': 'USDT',
}

response = requests.get(url, params=params, headers=headers)
result = response.json()
print(result)
{
  "data": {
    "USDT": 250.75
  },
  "message": "Operation completed successfully!",
  "error": {},
  "status": 200,
  "version": "1.0.0"
}

Last updated